> ## Documentation Index
> Fetch the complete documentation index at: https://docs.laikipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Gift Card Orders

> Retrieve paginated history of gift card purchase orders

Fetch a paginated list of gift card transactions executed under your merchant account for the current operational environment.


## OpenAPI

````yaml openapi.json GET /gift-cards/transactions
openapi: 3.0.3
info:
  title: LaikiPay Developer API
  description: >-
    Developer-first financial infrastructure for virtual card issuance,
    corporate vaults, and payment automation.
  version: 1.0.0
servers:
  - url: https://api.laikipay.com/v1/merchant
    description: Base url
security:
  - bearerAuth: []
paths:
  /gift-cards/transactions:
    get:
      tags:
        - Gift Cards
      summary: List Gift Card Orders
      description: Retrieve history of gift card purchases.
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
            default: 20
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: List of gift card orders
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT Access Token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.